# Copyright 2023 Bernhard Manfred Gruber
# SPDX-License-Identifier: MPL-2.0

name: Publish amalgamated alpaka.hpp to single-header
on:
  push:
    branches:
      - develop

jobs:
  single-header:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/checkout@v4
    - name: clone single-header
      run: |
        git clone -b single-header --single-branch https://x-access-token:${{secrets.github_token}}@github.com/${{github.repository}}.git single-header
    - name: create-single-header.sh
      run: |
        ./script/create-single-header.sh
    - name: commit
      # run deployment only on the develop branch in the upstream repository
      if: github.ref == 'refs/heads/develop' && github.repository_owner == 'alpaka-group'
      run: |
        set -x
        cd single-header
        if ! git diff --exit-code
        then
          git config --global user.email "action@github.com"
          git config --global user.name "GitHub Action"
          git add include/alpaka/alpaka.hpp
          git commit -m "Update alpaka.hpp"
          git push origin single-header
        else
          echo "No changes to commit"
        fi
